#  Test connectivity for a covalent molecule

from chemsh       import *
from chemsh.utils import testutils
from numpy        import array, flip

ethane = Fragment(coords='ethane.cjson')

print("### all bonds =", ethane.bonds) 
print("### all angles =", ethane.angles) 
print("### all dihedrals =\n", ethane.dihedrals)
print("### = dihedrals =\n", flip(ethane.dihedrals, 1))

ethane.c2z()

